Qt 5.7 | Qt 3D | C++ Classes | QPropertyValueAddedChange

Qt 5.7.1 Reference Documentation

# QPropertyValueAddedChange Class

(Qt3DCore::QPropertyValueAddedChange)

Used to notify when a value is added to a property More...

Header: | #include <QPropertyValueAddedChange>
qmake: | QT += 3dcore
Inherits: | QStaticPropertyValueAddedChangeBase

- List of all members, including inherited members

## Public Functions

| QPropertyValueAddedChange(QNodeId subjectId)
| ~QPropertyValueAddedChange()
QVariant | addedValue() const
void | setAddedValue(const QVariant &value)

- 2 public functions inherited from Qt3DCore::QStaticPropertyValueAddedChangeBase
- 4 public functions inherited from Qt3DCore::QSceneChange

## Related Non-Members

typedef | QPropertyValueAddedChangePtr

## Detailed Description

Used to notify when a value is added to a property

## Member Function Documentation

### QPropertyValueAddedChange::QPropertyValueAddedChange(QNodeId subjectId)

Constructs a new QPropertyValueAddedChange with subjectId.

### QPropertyValueAddedChange::~QPropertyValueAddedChange()

Destroys the instance of QPropertyValueAddedChange.

### QVariant QPropertyValueAddedChange::addedValue() const

Returns the value added to the property.

See also setAddedValue().

### void QPropertyValueAddedChange::setAddedValue(const QVariant &value)

Sets the value added to the property to value.

See also addedValue().

## Related Non-Members

### typedef Qt3DCore::QPropertyValueAddedChangePtr

A shared pointer for QPropertyValueAddedChange.